Package org.apache.commons.math3.geometry

# Interface Point<S extends Space>

Type Parameters:
  `S` - Type of the space.

All Superinterfaces:
  `Serializable`

All Known Subinterfaces:
  `Vector<S>`

All Known Implementing Classes:
  `S1Point`, `S2Point`, `Vector1D`, `Vector2D`, `Vector3D`

public interface Point<S extends Space> extends Serializable
This interface represents a generic geometrical point.

Since:
  3.3
See Also:
  - `Space`
  - `Vector`

## Method Summary

Modifier and Type
Method
Description
`double`
`distance(Point<S> p)`
Compute the distance between the instance and another point.
`Space`
`getSpace()`
Get the space to which the point belongs.
`boolean`
`isNaN()`
Returns true if any coordinate of this point is NaN; false otherwise

## Method Details

### getSpace

Space getSpace()
Get the space to which the point belongs.

Returns:
  containing space

### isNaN

boolean isNaN()
Returns true if any coordinate of this point is NaN; false otherwise

Returns:
  true if any coordinate of this point is NaN; false otherwise

### distance

double distance(Point<S> p)
Compute the distance between the instance and another point.

Parameters:
  `p` - second point
Returns:
  the distance between the instance and p